Approve upgrade for a cloud instance

POST/v1/cloud_computing/instances/{instance_id}/approve_upgrade

To confirm the request, send a POST request to the /v1/cloud_computing/instances/{instance_id}/approve_upgrade endpoint. It will be confirmed automatically after 72 hours. To specify an instance, write its ID in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

instance_id*string

A unique identifier of a cloud instance.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/cloud_computing/instances/ELe3Mb69/approve_upgrade"
{  "id": "ELe3Mb69",  "openstack_uuid": "8c947d8a-c4c6-4f32-8b28-05cd76374158",  "status": "UPGRADING",  "name": "name1153",  "region_id": 1,  "region_code": "US99",  "flavor_id": "101",  "flavor_name": "SSD.1",  "image_id": "f6c9c585-627a-4113-af8c-a475f5f73a21",  "image_name": null,  "public_ipv4_address": "91.184.100.206",  "private_ipv4_address": null,  "local_ipv4_address": "184.112.100.253",  "public_ipv6_address": null,  "ipv6_enabled": false,  "gpn_enabled": false,  "created_at": "2026-05-28T07:03:25Z",  "updated_at": "2026-05-28T07:03:25Z",  "backup_copies": 0,  "public_port_blocked": false,  "labels": {}}
{  "message": "Region in maintenance mode",  "code": "CLOUD_REGION_MAINTENANCE"}